package com.ruoyi.cai.notice.data;

import com.ruoyi.cai.notice.data.child.MessageSendFollowData;
import com.ruoyi.cai.notice.data.child.MessageSendFollowDynamicData;
import com.ruoyi.cai.notice.enums.MessageBaseTypeEnum;
import lombok.Data;

@Data
public class MessageSendFollowDynamicNew extends MessageBaseData{

    private MessageSendFollowDynamicData data;

    public MessageSendFollowDynamicNew(MessageBaseTypeEnum typeEnum) {
        this.setType(typeEnum.getCode());
    }

    public MessageSendFollowDynamicNew() {
    }

}
